Create Payment Link

Use this API to create a Payment Link.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/api/pay/v1/paymentlink
Production [PROD]https://api.pluralpay.in/api/pay/v1/paymentlink

📘

Note:

  • Ensure that your Merchant ID is configured for Pay by Link, split payments, and pre-authorization before creating a payment link.
Body Params
amount
object
required

An object that contains the payment amount details.

string

Enter the description corresponding to the payment.

Example: Payment for Order1

string

The desired expiration timestamp for the payment link.

Example: 2024-10-28T13:26:06.909140Z

Note:

  • The expiry timestamp must be set within a maximum of 180 days from the current date.
  • Once the payment link exceeds the expiration timestamp, it becomes invalid.

string

The type of payment methods you want to offer your customers to accept payments.

Accepted values:

  • CARD
  • UPI
  • POINTS
  • NETBANKING
  • WALLET
  • CREDIT_EMI
  • DEBIT_EMI
Example: CARD

Note: Before selecting a payment method, ensure it is configured for you.

string

The pre-authorization type.

Possible values:

  • false (default): When pre-authorization is not required.
  • true: When pre-authorization is needed.

string

Identifies the Payment Link type.

Possible values:

  • true: The payment link is processed for a MCC transaction.
  • false (default): The payment link is processed for a regular transaction.
Note: It is Mandatory to set this parameter to true for MCC transactions to ensure smooth payment link processing and avoid failures.

string

The URL specifically used to redirect customers to a failure page based on the payment link or product details.

Note:

  • If the failure_callback_url is not provided, customers will be redirected to the callback_url for both successful and failed transactions.
  • If the failure_callback_url is provided, the callback_url will be used exclusively for successful transactions, while the failure_callback_url will be used for failed transactions.
  • If neither URL is provided, the default URL configured during merchant onboarding will be used.

string
required
customer
object

An object that contains the customer information details.

product_details
array of objects

An array of objects, that contains the list of products associated with the payment details.

product_details
cart_coupon_discount_amount
object

An object that contains the cart coupon discount details.

merchant_metadata
object

An object that contains the user defined informations.

split_info
object

Mandatory for Split Settlements

An object that contains the split settlement information.

Note: Kindly ensure split settlements are enabled for your account in the Pine Labs Online database.

account_details
object

An object that contains the customers bank account details.

string

The URL to which your customers are redirected based on the order or product details, leading them to either a success or failure page.

Example: https://sample-callback-url

boolean

Indicates whether the order is for part payments or full.

Possible values:

  • true: The order created is for a part payment.
  • false: The order is created for a full payment.
Example: true

cart_details
object

An object that contains cart details.

Note: If cart details are provided, cart information will be displayed during checkout.

Headers
string

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant